package com.m2pool.chat.interceptor;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.http.server.ServerHttpRequest;
import org.springframework.http.server.ServerHttpResponse;
import org.springframework.web.socket.WebSocketHandler;
import org.springframework.web.socket.server.HandshakeInterceptor;

import java.util.Map;


/**
 * @ClassName WebsocketHandshakeInterceptor
 * @Description websocket 握手处理器类
 * @Author yyb
 * @Date 2025/4/10 15:39
 */
public class WebsocketHandshakeInterceptor implements HandshakeInterceptor {

    private static final Logger LOGGER = LoggerFactory.getLogger(WebsocketHandshakeInterceptor.class);

    @Override
    public boolean beforeHandshake(ServerHttpRequest request, ServerHttpResponse response, WebSocketHandler wsHandler, Map<String, Object> attributes) throws Exception {
        LOGGER.info("------------------WebsocketHandshakeInterceptor:beforeHandshake");
        //TODO 前端如果是webscoket原生实现， 获取一些自定义请求头,做一些校验
        return true;
    }

    @Override
    public void afterHandshake(ServerHttpRequest request, ServerHttpResponse response, WebSocketHandler wsHandler, Exception exception) {
        LOGGER.info("-----------------WebsocketHandshakeInterceptor:afterHandshake");
    }
}
